Welcome to the New BigPanda API Documentation
🚧 Authentication All BigPanda APIs require Bearer Token Authorization in the call headers. This API uses the User API Key type of Authorization token.
❗ Rate limitations To maintain quality of service, the Biggy API is limited to 100 requests per minute. Additional requests will return a 429 response code and the request will need to be retried.
📘 Streaming response Setting the streamingfield totruereturns a streaming response. Setting it tofalsereturns a JSON file.
🚧 async When asyncis set totrue, thereportId is returned. Poll GET /multi-context-generation/reports/:reportId until executionState iscompletedorfailed`.
curl --location 'https://api.biggy.io/multi-context-generation/generate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"prompt": "Produce an executive-ready summary with key decisions, risks, and next steps.",
"title": "Executive Summary",
"transcripts": [
{}
],
"serviceNow": [
{
"tableName": "Incident",
"recordNumber": "INC1234567",
"sysId": "9d385017c611228701d22104cc95g555"
}
],
"reasoningEffort": "Low",
"visibility": "private",
"reportTags": [
"string"
],
"format": "markdown",
"streaming": false
}'{
"reportId": "65f0c8f8d73b2b0012ab123",
"title": "Executive summary",
"format": "markdown",
"visibility": "private",
"content": "This is the report.",
"warnings": [
"string"
]
}